cURL
curl --request PUT \
--url 'https://api.qcall.ai/api/v1/knowledgeBase/update?id={id}' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"title": "<string>",
"language": "<string>",
"data": [
{
"question": "<string>",
"answer": "<string>"
}
]
}
'import requests
url = "https://api.qcall.ai/api/v1/knowledgeBase/update?id={id}"
payload = {
"title": "<string>",
"language": "<string>",
"data": [
{
"question": "<string>",
"answer": "<string>"
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
language: '<string>',
data: [{question: '<string>', answer: '<string>'}]
})
};
fetch('https://api.qcall.ai/api/v1/knowledgeBase/update?id={id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Knowledge Base
Update Knowledge Base
Updates a FAQ knowledge base’s title, language and question/answer pairs. The whole knowledge base is re-embedded. To edit a single entry of a document or website knowledge base, use PUT /knowledgeBase/chunks/update?id={id} instead.
PUT
/
knowledgeBase
/
update?id=
{id}
cURL
Authorizations
Path Parameters
The hash_id of the knowledge base to update
Body
application/json
Knowledge base fields to update

